summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'gamerlay.txt')
-rw-r--r--gamerlay.txt69
1 files changed, 47 insertions, 22 deletions
diff --git a/gamerlay.txt b/gamerlay.txt
index d82f97246fe..e5fa3ac6392 100644
--- a/gamerlay.txt
+++ b/gamerlay.txt
@@ -35,26 +35,51 @@ WARNING:pkgcore:'beatussum-overlay' repo at '/var/lib/repo-mirror-ci/repos/beatu
WARNING:pkgcore:'genthree' repo at '/var/lib/repo-mirror-ci/repos/genthree' has unsupported profile format: profile-bashrcs
WARNING:pkgcore:'xelnor' repo at '/var/lib/repo-mirror-ci/repos/xelnor' has unsupported profile format: build-id
WARNING:pkgcore:'beatussum-overlay' repo at '/var/lib/repo-mirror-ci/repos/beatussum-overlay' has unsupported profile format: profile-default-eapi
-WARNING pkgcore: caught cache error: games-strategy/worms-reloaded-20131016 is
- : corrupt: 'ascii' codec can't decode byte 0xe2 in position
- : 114: ordinal not in range(128)
-WARNING pkgcore: caught cache error: games-arcade/rush-20130703 is corrupt:
- : 'ascii' codec can't decode byte 0xe2 in position 120: ordinal
- : not in range(128)
- * games-puzzle/numptyphysics-142: failed sourcing ebuild: subversion: EAPI 2 is not supported
- * games-puzzle/skeldal-9999: failed sourcing ebuild: subversion: EAPI 3 is not supported
- * games-arcade/ultrastardx-9999: failed sourcing ebuild: subversion: EAPI 2 is not supported
- * games-arcade/hurrican-9999: failed sourcing ebuild: subversion: EAPI 3 is not supported
-WARNING pkgcore: caught cache error: games-strategy/worms-reloaded-20131016 is
- : corrupt: 'ascii' codec can't decode byte 0xe2 in position
- : 114: ordinal not in range(128)
-WARNING pkgcore: caught cache error: games-arcade/rush-20130703 is corrupt:
- : 'ascii' codec can't decode byte 0xe2 in position 120: ordinal
- : not in range(128)
-WARNING pkgcore: caught cache error: games-strategy/worms-reloaded-20131016 is
- : corrupt: 'ascii' codec can't decode byte 0xe2 in position
- : 114: ordinal not in range(128)
-WARNING pkgcore: caught cache error: games-arcade/rush-20130703 is corrupt:
- : 'ascii' codec can't decode byte 0xe2 in position 120: ordinal
- : not in range(128)
+Traceback (most recent call last):
+ File "/usr/lib64/python3.6/site-packages/pkgcore/ebuild/repository.py", line 502, in _get_packages
+ self.false_packages.__contains__, listdir_dirs(cpath)))
+ File "/usr/lib64/python3.6/site-packages/snakeoil/osutils/native_readdir.py", line 43, in listdir_dirs
+ return [x for x in os.listdir(path) if
+OSError: [Errno 9] Bad file descriptor: '/var/lib/repo-mirror-ci/repos/gamerlay/games-arcade'
+
+The above exception was the direct cause of the following exception:
+
+Traceback (most recent call last):
+ File "/usr/lib/python-exec/python3.6/pmaint", line 4, in <module>
+ scripts.run(basename(__file__))
+ File "/usr/lib64/python3.6/site-packages/pkgcore/scripts/__init__.py", line 32, in run
+ sys.exit(tool())
+ File "/usr/lib64/python3.6/site-packages/snakeoil/cli/tool.py", line 86, in __call__
+ ret = self.main()
+ File "/usr/lib64/python3.6/site-packages/snakeoil/cli/tool.py", line 189, in main
+ self.handle_exec_exception(e)
+ File "/usr/lib64/python3.6/site-packages/snakeoil/cli/tool.py", line 174, in main
+ exitstatus = func(self.options, self.out, self.err)
+ File "/usr/lib64/python3.6/site-packages/pkgcore/scripts/pmaint.py", line 305, in regen_main
+ eclass_caching=(not options.disable_eclass_caching)))
+ File "/usr/lib64/python3.6/site-packages/pkgcore/operations/repo.py", line 304, in _proxy_op
+ return getattr(self.raw_operations, op_name)(*args, **kwargs)
+ File "/usr/lib64/python3.6/site-packages/pkgcore/operations/repo.py", line 304, in _proxy_op
+ return getattr(self.raw_operations, op_name)(*args, **kwargs)
+ File "/usr/lib64/python3.6/site-packages/pkgcore/operations/__init__.py", line 73, in _recast_exception_decorator
+ return functor(*args, **kwds)
+ File "/usr/lib64/python3.6/site-packages/pkgcore/operations/repo.py", line 252, in _cmd_api_regen_cache
+ self._get_observer(observer), threads=threads, **kwargs):
+ File "/usr/lib64/python3.6/site-packages/pkgcore/operations/regen.py", line 41, in regen_repository
+ map_async(pkgs, errors, regen_iter, threads=threads, per_thread_args=get_args)
+ File "/usr/lib64/python3.6/site-packages/pkgcore/util/thread_pool.py", line 69, in map_async
+ for data in iterable:
+ File "/usr/lib64/python3.6/site-packages/pkgcore/repository/prototype.py", line 282, in _internal_match
+ for pkg in self._internal_gen_candidates(candidates, **kwargs):
+ File "/usr/lib64/python3.6/site-packages/pkgcore/repository/prototype.py", line 275, in _internal_gen_candidates
+ for cp in sorter(candidates):
+ File "/usr/lib64/python3.6/site-packages/pkgcore/repository/prototype.py", line 106, in keys
+ for cat, pkgs in self._parent.items():
+ File "/usr/lib64/python3.6/site-packages/snakeoil/mappings.py", line 65, in items
+ yield k, self[k]
+ File "/usr/lib64/python3.6/site-packages/pkgcore/repository/prototype.py", line 72, in __getitem__
+ self._cache[key] = vals = self._pull_vals(key)
+ File "/usr/lib64/python3.6/site-packages/pkgcore/ebuild/repository.py", line 510, in _get_packages
+ f'failed fetching packages for category {category}: {e}') from e
+KeyError: "failed fetching packages for category /var/lib/repo-mirror-ci/repos/gamerlay/games-arcade: [Errno 9] Bad file descriptor: '/var/lib/repo-mirror-ci/repos/gamerlay/games-arcade'"
* Cache regen failed with 1